Bug 2161709 - CVE-2022-46285 libXpm: Infinite loop on unclosed comments [fedora-all]
Summary: CVE-2022-46285 libXpm: Infinite loop on unclosed comments [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libXpm
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-46285
TreeView+ depends on / blocked
 
Reported: 2023-01-17 17:04 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-01-26 01:43 UTC (History)
8 users (show)

Fixed In Version: libXpm-3.5.15-2.fc37 libXpm-3.5.15-2.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-22 01:42:15 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-01-17 17:04:26 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2160092

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Guilherme de Almeida Suckevicz 2023-01-17 17:04:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2160092,2161709

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-01-17 22:57:22 UTC
FEDORA-2023-49dbeb6b03 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-49dbeb6b03

Comment 3 Fedora Update System 2023-01-17 22:58:17 UTC
FEDORA-2023-1bd07375a7 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1bd07375a7

Comment 4 Fedora Update System 2023-01-18 02:37:10 UTC
FEDORA-2023-1bd07375a7 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1bd07375a7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1bd07375a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-01-18 03:39:51 UTC
FEDORA-2023-49dbeb6b03 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-49dbeb6b03`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-49dbeb6b03

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-01-22 01:42:15 UTC
FEDORA-2023-1bd07375a7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-01-26 01:43:26 UTC
FEDORA-2023-49dbeb6b03 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.